<?php
/* DCMS Special
 * Дата последнего редактирования 25.09.2016
 * Модифицировал densnet
 */

if (!isset($user) && !isset($_GET['id_user'])) {
    header("Location: /foto/?" . SID);
    exit;
}

if (isset($user)) {
    $ank['id'] = $user['id'];
}

if (isset($_GET['id_user'])) {
    $ank['id'] = intval($_GET['id_user']);
}

$ank = get_user($ank['id']);

if (!$ank) {
    header("Location: /foto/?" . SID);
    exit;
}

$gallery['id'] = intval($_GET['id_gallery']);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]' AND `name` = 'Личные фото'"), 0) == 0) {
    mysql_query("INSERT INTO `gallery` (`id_user`, `name`, `my`) values('$ank[id]', 'Личные фото', '1')");
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"), 0) == 0) {
    header("Location: " . DIR_FOTO . "$ank[id]/?" . SID);
    exit;
}

$gallery = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));

$set['title'] = $ank['nick'] . ' - ' . $gallery['name'] . ' - ' . lang('Фотоальбом'); // заголовок страницы

require_once H . 'sys/inc/thead.php';

aut();
err();

include 'inc/gallery_show.php';

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_FOTO . "'>" . lang('Фотоальбомы') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_FOTO . "$ank[id]/'>" . lang('Альбомы') . " $ank[nick]</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo toOutput($gallery['name']);
echo "</small></div><br />";

if ($ank['level'] < $user['level'] || isset($user) && $ank['id'] == $user['id']) {
    $umodd = 1;
}

if (isset($_POST['password'])) {
    setcookie("passfoto[$gallery[id]]", $_POST['password']);
    if (isset($_POST['password']) && $_POST['password'] == $gallery['password']) {
        header("Location:?enter=ok");
    }
}

if ($gallery['access'] == 'only_me') {
    if ($ank['id'] == $user['id'] && isset($user) || isset($umodd)) {
        $lock = "key";
    } else {
        echo "<div class='bg-danger'>";
        echo "<i class='fa fa-lock fa-fw'></i> " . lang('Вам запрещено просматривать этот альбом');
        echo "</div>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }
} elseif ($gallery['access'] == 'friends') {
    if ($ank['id'] == $user['id'] && isset($user) || isset($umodd) || mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE (`user` = '$user[id]' AND `friends` = '$ank[id]') OR (`user` = '$ank[id]' AND `friends` = '$user[id]')"), 0) != 0) {
        $lock = "key";
    } else {
        echo "<div class='bg-danger'>";
        echo "<i class='fa fa-users fa-fw'></i> " . lang('Альбом доступен только друзьям автора');
        echo "</div>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }
} elseif ($gallery['access'] == 'pass') {
    if (isset($_COOKIE['passfoto'][$gallery['id']]) && $_COOKIE['passfoto'][$gallery['id']] == $gallery['password'] || $ank['id'] == $user['id'] && isset($user) || isset($umodd)) {
        $lock = "key";
    } else {
        if (isset($_POST['password']) && $_POST['password'] != $gallery['password']) {
            $_SESSION['err'] = lang('Неверный пароль');
            header("Location: ?");
        }
        err();

        echo "<form class='list-group-item-null' method='post'>";
        echo lang('Чтобы просмотреть фотоальбом, введите пароль') . ":<br />\n";
        echo "<input name='password' type='text' value='' class='form-control'><br />";

        $doc->Button('btn btn-primary btn-sm', null, null, 'Далее');

        echo "</form>";

        require_once H . 'sys/inc/tfoot.php';
        exit;
    }
} elseif ($gallery['access'] == 'auth') {
    if (isset($user)) {
        $lock = "key";
    } else {
        echo "<div class='bg-danger'><i class='fa fa-user fa-fw'></i> " . lang('Фотоальбом доступен только авторизованным пользователям') . "!</div>";
        require_once H . 'sys/inc/tfoot.php';
        exit;
    }
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

echo "<div class='list-group-item-null list-group-item-info' style='color: grey;'><div class='bd-example'><span style='float: right;'>\n";
#Кнопка меню действий
if (isset($user) && $user['id'] == $ank['id'] || access('foto_alb_del')) {
    if (IS_WEB) {
        if (isset($user) && $user['id'] == $ank['id']) {
            echo "<a data-toggle='modal' data-target='#photo_add' href='?act=upload'><span class='hint--left' data-hint='" . lang('Новое фото') . "'><i class='fa fa-camera fa-fw'></i></span></a> ";
        }

        if (isset($user) && $user['id'] == $ank['id']) {
            echo "<a data-toggle='modal' data-target='#albom_set' href='?act=edit'><span class='hint--left' data-hint='" . lang('Редактировать альбом') . "'><i class='fa fa-edit fa-fw'></i></span></a> ";
            echo "<a data-toggle='modal' data-target='#albom_del' href='?act=delete'><span class='hint--left' data-hint='" . lang('Удалить альбом') . "'><i class='fa fa-trash-o fa-fw'></i></span></a> ";
        } elseif (access('foto_alb_del')) {
            echo "<a data-toggle='modal' data-target='#albom_set' href='?act=edit'><span class='hint--left' data-hint='" . lang('Редактировать альбом') . "'><i class='fa fa-edit fa-fw'></i></span></a> ";
            echo "<a data-toggle='modal' data-target='#albom_del' href='?act=delete'><span class='hint--left' data-hint='" . lang('Удалить альбом') . "'><i class='fa fa-trash-o fa-fw'></i></span></a> ";
        }
    } else {
        if (isset($user) && $user['id'] == $ank['id']) {
            echo "<a href='?act=upload'><span title='" . lang('Новое фото') . "'><i class='fa fa-camera fa-fw'></i></span></a> ";
        }

        if (isset($user) && $user['id'] == $ank['id']) {
            echo "<a href='?act=edit'><span title='" . lang('Редактировать альбом') . "'><i class='fa fa-edit fa-fw'></i></span></a> ";
            echo "<a href='?act=delete'><span title='" . lang('Удалить альбом') . "'><i class='fa fa-trash fa-fw'></i></span></a> ";
        } elseif (access('foto_alb_del')) {
            echo "<a href='?act=edit'><span title='" . lang('Редактировать альбом') . "'><i class='fa fa-edit fa-fw'></i></span></a> ";
            echo "<a href='?act=delete'><span title='" . lang('Удалить альбом') . "'><i class='fa fa-trash fa-fw'></i></span></a> ";
        }
    }
}
echo "</span></div>\n";
echo "<i class='fa fa-camera fa-fw'></i> $k_post</div>\n";

#Всплывающее меню - new photo
echo "<div class='modal fade' id='photo_add' tabindex='-1' role='dialog' aria-hidden='true'>\n";
echo "<div class='modal-dialog'>\n";
echo "<div class='modal-content'>\n";
echo "<div class='modal-header'>\n";
echo "<button type='button' class='close' data-dismiss='modal' aria-label='Close'>";
echo "<span aria-hidden='true'>&times;</span>";
echo "<span class='sr-only'>Close</span>";
echo "</button>";
echo "<h5 class='modal-title'>" . lang('Новое фото') . "</h5>";
echo "</div>";

echo "<form name='add' enctype='multipart/form-data' style='margin-top: -1px;' class='list-group-item' action='?act=upload&amp;ok' method='post'>";

$doc->Input('name', 'Название', 100);
$doc->Checkbox('adult', 'Фото для взрослых', 1);
$doc->File('file', 'Файл', 'Выберите изображение');
$doc->Textarea('opis', 'Описание альбома', 256);

echo "<b>" . lang('Размещаемые на Сайте Фото не должны') . ":</b><br />";
echo '* ' . lang('нарушать действующее законодательство, честь и достоинство, права и охраняемые законом интересы третьих лиц, способствовать разжиганию религиозной, расовой или межнациональной розни, содержать сцены насилия, либо бесчеловечного обращения с животными, и т.д.') . '<br />';
echo '* ' . lang('носить непристойный или оскорбительный характер') . '<br />';
echo '* ' . lang('содержать рекламу наркотических средств') . '<br />';
echo '* ' . lang('нарушать права несовершеннолетних лиц') . '<br />';
echo '* ' . lang('нарушать авторские и смежные права третьих лиц') . '<br />';
echo '* ' . lang('носить порнографический характер') . '<br />';
echo '* ' . lang('содержать коммерческую рекламу в любом виде') . '<br />';

$doc->Button('btn btn-primary btn-sm', null, 'upload', 'Выгрузить');
$doc->Link('btn btn-secondary btn-sm', '?', null, 'Отмена');

echo "</form>";

echo "</div>\n";
echo "</div>\n";
echo "</div>\n";
#Всплывающее меню - albom set
echo "<div class='modal fade' id='albom_set' tabindex='-1' role='dialog' aria-hidden='true'>\n";
echo "<div class='modal-dialog'>\n";
echo "<div class='modal-content'>\n";
echo "<div class='modal-header'>\n";
echo "<button type='button' class='close' data-dismiss='modal' aria-label='Close'>";
echo "<span aria-hidden='true'>&times;</span>";
echo "<span class='sr-only'>Close</span>";
echo "</button>";
echo "<h5 class='modal-title'>" . lang('Редактирование альбома') . "</h5>";
echo "</div>";

$new_gallery_access = $gallery['access'];

echo "<form action='?act=edit&amp;ok' class='list-group-item' style='margin-top: -1px;' method=\"post\">";

$doc->Input('name', 'Название альбома', 32, "$gallery[name]");
$doc->Textarea('opis', 'Описание альбома', 256, "$gallery[opis]");

echo lang('Доступ') . ":<br />";
echo "  <label class='custom-control custom-radio'><input class='custom-control-input' value='all' name='access' type='radio' " . ($new_gallery_access == 'all' ? " checked='checked'" : null) . "><span class='custom-control-indicator'></span><span class='custom-control-description'><i class='fa fa-unlock fa-fw'></i> " . lang('Всем') . "</span></label><br />
        <label class='custom-control custom-radio'><input class='custom-control-input' value='only_me' name='access' type='radio' " . ($new_gallery_access == 'only_me' ? " checked='checked'" : null) . "><span class='custom-control-indicator'></span><span class='custom-control-description'><i class='fa fa-lock fa-fw'></i> " . lang('Только мне') . "</span></label><br />
        <label class='custom-control custom-radio'><input class='custom-control-input' value='auth' name='access' type='radio' " . ($new_gallery_access == 'auth' ? " checked='checked'" : null) . "><span class='custom-control-indicator'></span><span class='custom-control-description'><i class='fa fa-user fa-fw'></i> " . lang('Только авторизованным') . "</span></label><br />
        <label class='custom-control custom-radio'><input class='custom-control-input' value='friends' name='access' type='radio' " . ($new_gallery_access == 'friends' ? " checked='checked'" : null) . "><span class='custom-control-indicator'></span><span class='custom-control-description'><i class='fa fa-users fa-fw'></i> " . lang('Только друзьям') . "</span></label><br />
        <label class='custom-control custom-radio'><input class='custom-control-input' value='pass' name='access' type='radio' " . ($new_gallery_access == 'pass' ? " checked='checked'" : null) . "><span class='custom-control-indicator'></span><span class='custom-control-description'><i class='fa fa-key fa-fw'></i> " . lang('Только по паролю') . "</span></label><br />
    ";

$doc->Input('password', 'Пароль альбома', 16, "$gallery[password]");
echo "<br />";
$doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');
$doc->Link('btn btn-secondary btn-sm', '?', null, 'Отмена');

echo "</form>";

echo "</div>\n";
echo "</div>\n";
echo "</div>\n";

#Всплывающее меню - del albom
echo "<div class='modal fade' id='albom_del' tabindex='-1' role='dialog' aria-hidden='true'>\n";
echo "<div class='modal-dialog'>\n";
echo "<div class='modal-content'>\n";
echo "<div class='modal-header'>\n";
echo "<button type='button' class='close' data-dismiss='modal' aria-label='Close'>";
echo "<span aria-hidden='true'>&times;</span>";
echo "<span class='sr-only'>Close</span>";
echo "</button>";
echo "<h5 class='modal-title'>" . lang('Удаление альбома') . "</h5>";
echo "</div>";

echo "<form action='?act=delete&amp;ok' class='list-group-item' style='margin-top: -1px;' method=\"post\">";

echo lang('Подтвердите удаление фотоальбома') . "<br />\n";

$doc->Button('btn btn-success btn-sm', null, 'trash-o', 'Удалить');
$doc->Link('btn btn-secondary btn-sm', '?', null, 'Отмена');

echo "</form>";

echo "</div>\n";
echo "</div>\n";
echo "</div><br />\n";

if ($k_post == 0) {
    $doc->NoResult();
}
?>
<link rel="stylesheet" href="/style/css/owl.carousel.css">
<link rel="stylesheet" href="/style/css/owl.theme.default.min.css">
<script src="/style/js/owl.carousel.js"></script>

<script>
    $('.owl-carousel').owlCarousel({
        loop: true,
        margin: 10,
        nav: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 3
            },
            1000: {
                items: 5
            }
        }
    })

    $(document).ready(function () {
        $(".owl-carousel").owlCarousel();
    });
</script>

<?php
$q = mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");

if ($k_post > 0) {
    echo "<div class='owl-carousel owl-theme'>";
    while ($post = mysql_fetch_assoc($q)) {
        echo "<div class='item'><a href='" . DIR_FOTO . "$ank[id]/$gallery[id]/$post[id]/'><img src='" . DIR_FOTO . "foto640/$post[id].$post[ras]' alt='" . lang('Фото') . "_$post[id]' /></a></div>";
    }
    echo "</div>";
}

if ($k_page > 1) {
    str('?', $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
exit;
